org.hibernate.search.elasticsearch.analyzer.impl

## Class Elasticsearch52AnalyzerStrategy

- java.lang.Object
- - org.hibernate.search.elasticsearch.analyzer.impl.Elasticsearch2AnalyzerStrategy
  - - org.hibernate.search.elasticsearch.analyzer.impl.Elasticsearch52AnalyzerStrategy

- All Implemented Interfaces:
    AnalyzerStrategy

      public class Elasticsearch52AnalyzerStrategy
      extends Elasticsearch2AnalyzerStrategy

  An `AnalyzerStrategy` for Elasticsearch 5.2: normalizers are actually translated as normalizers in ES, instead of being translated as analyzers like in `Elasticsearch2AnalyzerStrategy`.
  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch52AnalyzerStrategy(ServiceManager serviceManager, SearchConfiguration cfg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchAnalyzerReference` | `createNamedNormalizerReference(String name)`
    `protected ElasticsearchAnalysisDefinitionRegistry` | `wrapForAdditions(ElasticsearchAnalysisDefinitionRegistry registry)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.analyzer.impl.Elasticsearch2AnalyzerStrategy

      `buildScopedAnalyzerReference, createDefaultAnalyzerReference, createLuceneClassAnalyzerReference, createLuceneClassNormalizerReference, createNamedAnalyzerReference, createPassThroughAnalyzerReference, createProvidedAnalyzerReferences, createProvidedNormalizerReferences, initializeReferences`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elasticsearch52AnalyzerStrategy

          public Elasticsearch52AnalyzerStrategy(ServiceManager serviceManager,
                                                 SearchConfiguration cfg)

  - ### Method Detail

    - #### wrapForAdditions

          protected ElasticsearchAnalysisDefinitionRegistry wrapForAdditions(ElasticsearchAnalysisDefinitionRegistry registry)

      Overrides:
        `wrapForAdditions` in class `Elasticsearch2AnalyzerStrategy`

    - #### createNamedNormalizerReference

          public ElasticsearchAnalyzerReference createNamedNormalizerReference(String name)

      Specified by:
        `createNamedNormalizerReference` in interface `AnalyzerStrategy`
      Overrides:
        `createNamedNormalizerReference` in class `Elasticsearch2AnalyzerStrategy`
      Parameters:
        `name` - The name of the normalizer to be referenced.
      Returns:
        a reference that will be `initialized later`.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved